Subject: bug#51819: The Senselessness of Emacs Company Mode

From: irenezerafa <[email-masked]>
Date: Tue, 16 Nov 2021 19:12:23 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Monday, November 15th, 2021 at 4:53 AM, Richard Stallman <[email-masked]> wrote:

> [[[ To any NSA and FBI agents reading my email: please consider ]]]
> [[[ whether defending the US Constitution against all enemies, ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
> > > I am installing Company Mode so I can use auto completion. Let me
> > > show you how beautiful that is using the emacs way. For most people,
> > > they do "M-x list-packages" and search for "company". They get about
> > > 70 matches for "company-mode" which add compatibility for other modes.

> > I think most people are able to figure out that they should add the
> > package called "company" if they want to install Company.
>
> Why do people use the term "Company Mode", if its name is simply
> "Company"? I get the impression the former is a misnomer. Is it a
> misnomer?

> If it is a misnomer, do we say anything that encourages it? We could
> change what we say, so as to avoid promoting the term "Company mode".
> Maybe we should write it as "Comp-any" to make the meaning clear.

The main problem is not company-mode in itself, but the fact that one
has to install the related functionality for each language one is using.

Rather, company-mode should recognise the language if needed and act
accordingly.  This makes company-mode a very odd implementation.